' This file is part of Network Switcher.

' Network Switcher is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation, either version 3 of the License, or
' (at your option) any later version.

' Network Switcher is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.

' You should have received a copy of the GNU General Public License
' along with Network Switcher. If not, see <http://www.gnu.org/licenses/>.
'
' Copyright 2007, Ricardo Amaral

Public Class FormProfileName

#Region " Controls Events "

    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        StartNewProfile()
    End Sub

#End Region

#Region " Private Methods "

    ' Method: Set new profile variables
    Private Sub StartNewProfile()
        If Not Me.txtNewProfileName.Text = Nothing Then
            ' Does a profile exist with the same name?
            For Each profile As String In listProfiles
                If Me.txtNewProfileName.Text = profile Then
                    MessageBox.Show("The profile name already exists, please fill in a different name for the new profile.", "Duplicate profile name!", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                    Exit Sub
                End If
            Next

            ' Set new profile variables
            newProfile = True
            profileName = Me.txtNewProfileName.Text

            ' Closes this form
            Me.Close()
        Else
            MessageBox.Show("The profile name is empty, please fill in a name for the new profile.", "Empty profile name!", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Me.txtNewProfileName.Focus()
        End If
    End Sub

#End Region

End Class